For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Generate Organization Transactions Report by valid organizationGuid

post

Sample request to get transactions report filters by PaymentDate after (operation 7 = After) January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning page index 1 and page size 1000 records.

Please see Filters and Operation parameters defined here for requests: https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report#body-parameter-definitions

 POST /api/organizationTransactionsReport?organizationGuid=87654321-9012-3456-7890-123456789012
	{
	"Filters": [
		{
  		"Name": "PaymentDate",
  		"Operation": 7,
  		"Values": [
   		 "2026-01-01"
  		]
		}
	],
	"SortColumns": [
		{
  		"Name": "PaymentDate",
  		"Descending": true,
  		"Order": 0
		}
	],
	"PageSize": 1000,
	"PageIndex": 1
	}
Query parameters
organizationGuidstring · uuidOptional
Header parameters
AccessTokenstringRequired

access token

Body
PageSizeinteger · int32Optional

How many records to return per page.

PageIndexinteger · int32Optional

Which page of results to return. Starts at 1 (0 will also return the first page)

Responses
200

Success

application/json
CurrentPageinteger · int32Optional
PageSizeinteger · int32Optional
TotalPagesinteger · int32Optional
TotalRowsinteger · int32Optional
post/api/organizationTransactionsReport
POST /api/organizationTransactionsReport HTTP/1.1
AccessToken: text
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 148

{
  "Filters": [
    {
      "Name": "text",
      "Operation": 1,
      "Values": [
        "text"
      ]
    }
  ],
  "SortColumns": [
    {
      "Name": "text",
      "Descending": true,
      "Order": 1
    }
  ],
  "PageSize": 1,
  "PageIndex": 1
}
{
  "CurrentPage": 1,
  "PageSize": 1,
  "Results": [
    {
      "PaymentDate": "2026-01-01T00:00:00.000Z",
      "PaymentGuid": "123e4567-e89b-12d3-a456-426614174000",
      "PaymentId": 1,
      "PaymentExternalId": "text",
      "OriginalExternalID": "text",
      "ProcessStatus": 1,
      "ProcessStatusValue": "text",
      "PaymentResult": 1,
      "PaymentResultValue": "text",
      "ExternalConstituentId": "text",
      "FirstName": "text",
      "LastName": "text",
      "Email": "text",
      "CardHolderName": "text",
      "CCLastDigits": "text",
      "ExpirationDate": "text",
      "CCType": "text",
      "CoverTheFee": "text",
      "DonationAmount": 1,
      "CoverTheFeeAmount": 1,
      "TransactionAmount": 1,
      "ServiceFees": 1,
      "PerformanceFees": 1,
      "ProcessingFees": 1,
      "AmountPaid": 1,
      "Taxes": 1,
      "Recurring": "text",
      "RecurringFrequency": "text",
      "RecurringProfileGuid": "123e4567-e89b-12d3-a456-426614174000",
      "NextBillDate": "2026-01-01T00:00:00.000Z",
      "DistributionType": 1,
      "DistributionTypeValue": "text",
      "DistributionStatus": "text",
      "DistributionId": 1,
      "DisbursementDate": "2026-01-01T00:00:00.000Z",
      "SourceGuid": "123e4567-e89b-12d3-a456-426614174000",
      "SourceName": "text",
      "CharityId": "text",
      "OrganizationName": "text",
      "Ein": "text",
      "ExternalEventId": "text",
      "ExternalEventGuid": "123e4567-e89b-12d3-a456-426614174000",
      "ExternalEventName": "text",
      "TaxableBenefit": 1,
      "TranId": "text",
      "VoidRequestDate": "2026-01-01T00:00:00.000Z",
      "VoidReason": "text",
      "RefundRequestDate": "2026-01-01T00:00:00.000Z",
      "RefundReason": "text",
      "ProcessorId": 1,
      "ProcessorGuid": "123e4567-e89b-12d3-a456-426614174000",
      "PaymentMethodTypeId": 1,
      "PaymentMethodTypeIdValue": "text",
      "Surcharge": 1,
      "IsSurchargeEligible": true,
      "CheckLastDigits": "text",
      "CheckNumber": "text",
      "CheckTypeId": 1,
      "CheckTypeIdValue": "text",
      "CheckAccountTypeId": 1,
      "CheckAccountTypeIdValue": "text",
      "EpfSessionId": "123e4567-e89b-12d3-a456-426614174000",
      "TransactionLines": [
        {
          "PaymentGuid": "123e4567-e89b-12d3-a456-426614174000",
          "PaymentLineId": 1,
          "PaymentId": 1,
          "CreatedDate": "2026-01-01T00:00:00.000Z",
          "ModifiedDate": "2026-01-01T00:00:00.000Z",
          "Amount": 1,
          "CommissionAmount": 1,
          "PayFee": true,
          "TransactionSourceGroupId": 1,
          "CardFeeRate": 1,
          "CardFeeAmount": 1,
          "CardTypeFeeAmount": 1,
          "TotalCommissionRate": 1,
          "TotalCommissionAmount": 1,
          "PartnerCommissionRate": 1,
          "PartnerCommissionAmount": 1,
          "FsCommissionRate": 1,
          "FsCommissionAmount": 1,
          "TotalFees": 1,
          "PerTransFee": 1,
          "ExternalLineId": "text",
          "Tip": 1,
          "CommissionRateOverride": 1,
          "Tax": 1,
          "CardFeeOnFeeAmount": 1,
          "PerformanceFee": 1,
          "ProcessingFee": 1,
          "ShippingFee": 1,
          "AchFeeRate": 1,
          "AchFeeAmount": 1
        }
      ]
    }
  ],
  "TotalPages": 1,
  "TotalRows": 1
}

Export Organization Transactions Report by valid organizationGuid in specified format "csv" or "excel". Defaults to "csv" if not provided

post
Query parameters
organizationGuidstring · uuidOptional
Header parameters
AccessTokenstringRequired

access token

Body
PageSizeinteger · int32Optional

How many records to return per page.

PageIndexinteger · int32Optional

Which page of results to return. Starts at 1 (0 will also return the first page)

Formatstring · nullableOptional

Determines which file type the report will be exported to. Valid values: "csv" or "excel"

Responses
200

Success

No content

post/api/exportOrganizationTransactionsReport
POST /api/exportOrganizationTransactionsReport HTTP/1.1
AccessToken: text
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 164

{
  "Filters": [
    {
      "Name": "text",
      "Operation": 1,
      "Values": [
        "text"
      ]
    }
  ],
  "SortColumns": [
    {
      "Name": "text",
      "Descending": true,
      "Order": 1
    }
  ],
  "PageSize": 1,
  "PageIndex": 1,
  "Format": "text"
}

No content

Generate Source Transactions Report

post

Sample request to get transactions report filters by PaymentDate after (operation 7 = After) January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning page index 1 and page size 1000 records.

Please see Filters and Operation parameters defined here for requests: https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report#body-parameter-definitions

 POST /api/sourceTransactionsReport
	{
	"Filters": [
		{
  		"Name": "PaymentDate",
  		"Operation": 7,
  		"Values": [
   		 "2026-01-01"
  		]
		}
	],
	"SortColumns": [
		{
  		"Name": "PaymentDate",
  		"Descending": true,
  		"Order": 0
		}
	],
	"PageSize": 1000,
	"PageIndex": 1
	}
Header parameters
AccessTokenstringRequired

access token

Body
PageSizeinteger · int32Optional

How many records to return per page.

PageIndexinteger · int32Optional

Which page of results to return. Starts at 1 (0 will also return the first page)

Responses
200

Success

application/json
CurrentPageinteger · int32Optional
PageSizeinteger · int32Optional
TotalPagesinteger · int32Optional
TotalRowsinteger · int32Optional
post/api/sourceTransactionsReport
POST /api/sourceTransactionsReport HTTP/1.1
AccessToken: text
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 148

{
  "Filters": [
    {
      "Name": "text",
      "Operation": 1,
      "Values": [
        "text"
      ]
    }
  ],
  "SortColumns": [
    {
      "Name": "text",
      "Descending": true,
      "Order": 1
    }
  ],
  "PageSize": 1,
  "PageIndex": 1
}
{
  "CurrentPage": 1,
  "PageSize": 1,
  "Results": [
    {
      "PaymentDate": "2026-01-01T00:00:00.000Z",
      "PaymentGuid": "123e4567-e89b-12d3-a456-426614174000",
      "PaymentId": 1,
      "PaymentExternalId": "text",
      "OriginalExternalID": "text",
      "ProcessStatus": 1,
      "ProcessStatusValue": "text",
      "PaymentResult": 1,
      "PaymentResultValue": "text",
      "ExternalConstituentId": "text",
      "FirstName": "text",
      "LastName": "text",
      "Email": "text",
      "CardHolderName": "text",
      "CCLastDigits": "text",
      "ExpirationDate": "text",
      "CCType": "text",
      "CoverTheFee": "text",
      "DonationAmount": 1,
      "CoverTheFeeAmount": 1,
      "TransactionAmount": 1,
      "ServiceFees": 1,
      "PerformanceFees": 1,
      "ProcessingFees": 1,
      "AmountPaid": 1,
      "Taxes": 1,
      "Recurring": "text",
      "RecurringFrequency": "text",
      "RecurringProfileGuid": "123e4567-e89b-12d3-a456-426614174000",
      "NextBillDate": "2026-01-01T00:00:00.000Z",
      "DistributionType": 1,
      "DistributionTypeValue": "text",
      "DistributionStatus": "text",
      "DistributionId": 1,
      "DisbursementDate": "2026-01-01T00:00:00.000Z",
      "SourceGuid": "123e4567-e89b-12d3-a456-426614174000",
      "SourceName": "text",
      "CharityId": "text",
      "OrganizationName": "text",
      "Ein": "text",
      "ExternalEventId": "text",
      "ExternalEventGuid": "123e4567-e89b-12d3-a456-426614174000",
      "ExternalEventName": "text",
      "TaxableBenefit": 1,
      "TranId": "text",
      "VoidRequestDate": "2026-01-01T00:00:00.000Z",
      "VoidReason": "text",
      "RefundRequestDate": "2026-01-01T00:00:00.000Z",
      "RefundReason": "text",
      "ProcessorId": 1,
      "ProcessorGuid": "123e4567-e89b-12d3-a456-426614174000",
      "PaymentMethodTypeId": 1,
      "PaymentMethodTypeIdValue": "text",
      "Surcharge": 1,
      "IsSurchargeEligible": true,
      "CheckLastDigits": "text",
      "CheckNumber": "text",
      "CheckTypeId": 1,
      "CheckTypeIdValue": "text",
      "CheckAccountTypeId": 1,
      "CheckAccountTypeIdValue": "text",
      "EpfSessionId": "123e4567-e89b-12d3-a456-426614174000",
      "TransactionLines": [
        {
          "PaymentGuid": "123e4567-e89b-12d3-a456-426614174000",
          "PaymentLineId": 1,
          "PaymentId": 1,
          "CreatedDate": "2026-01-01T00:00:00.000Z",
          "ModifiedDate": "2026-01-01T00:00:00.000Z",
          "Amount": 1,
          "CommissionAmount": 1,
          "PayFee": true,
          "TransactionSourceGroupId": 1,
          "CardFeeRate": 1,
          "CardFeeAmount": 1,
          "CardTypeFeeAmount": 1,
          "TotalCommissionRate": 1,
          "TotalCommissionAmount": 1,
          "PartnerCommissionRate": 1,
          "PartnerCommissionAmount": 1,
          "FsCommissionRate": 1,
          "FsCommissionAmount": 1,
          "TotalFees": 1,
          "PerTransFee": 1,
          "ExternalLineId": "text",
          "Tip": 1,
          "CommissionRateOverride": 1,
          "Tax": 1,
          "CardFeeOnFeeAmount": 1,
          "PerformanceFee": 1,
          "ProcessingFee": 1,
          "ShippingFee": 1,
          "AchFeeRate": 1,
          "AchFeeAmount": 1
        }
      ]
    }
  ],
  "TotalPages": 1,
  "TotalRows": 1
}

Export Source Transactions Report in specified format "csv" or "excel". Defaults to "csv" if not provided

post
Header parameters
AccessTokenstringRequired

access token

Body
PageSizeinteger · int32Optional

How many records to return per page.

PageIndexinteger · int32Optional

Which page of results to return. Starts at 1 (0 will also return the first page)

Formatstring · nullableOptional

Determines which file type the report will be exported to. Valid values: "csv" or "excel"

Responses
200

Success

No content

post/api/exportSourceTransactionsReport
POST /api/exportSourceTransactionsReport HTTP/1.1
AccessToken: text
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 164

{
  "Filters": [
    {
      "Name": "text",
      "Operation": 1,
      "Values": [
        "text"
      ]
    }
  ],
  "SortColumns": [
    {
      "Name": "text",
      "Descending": true,
      "Order": 1
    }
  ],
  "PageSize": 1,
  "PageIndex": 1,
  "Format": "text"
}

No content

Last updated